petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMCopyLabels

Copy labels from one mesh to another with a superset of the points

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCopyLabels(DM dmA, DM dmB, PetscCopyMode mode, PetscBool all)

Collective on dmA

### Input Parameter

| dmA | - The DM object with initial labels
| dmB | - The DM object with copied labels
| mode | - Copy labels by pointers (PETSC_OWN_POINTER) or duplicate them (PETSC_COPY_VALUES)
| all | - Copy all labels including "depth", "dim", and "celltype" (PETSC_TRUE) which are otherwise ignored (PETSC_FALSE)

Note: This is typically used when interpolating or otherwise adding to a mesh

### See Also

DMGetCoordinates(), DMGetCoordinatesLocal(), DMGetCoordinateDM(), DMGetCoordinateSection(), DMShareLabels()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages